class Startle
	attr_reader :file

	def initialize(log_file)
		@file = log_file
	end

	def what_size?
		File.size?(file).to_f
	end

	def convert_to_megabytes(file_size_in_bytes)
		file_size_in_bytes / 1_048_576 
	end

	def over_one_gigabyte?
		convert_to_megabytes(what_size?) >= 1024 ? true : false
	end

	def display_size
		convert_to_megabytes(what_size?) / 1000
	end

	def log_file_status
		if self.over_one_gigabyte?
			#STUB for mailer
			puts "OMG YOU'RE LOG FILE IS AT OR OVER A GIGABYTE! Log Size: #{display_size} GB"
		else
			puts "You're still good, homie. Log Size: #{display_size} GB"
		end
	end

end



check = FileSizeChecker.new(ARGV[0])
check.log_file_status